api <- hal_query()

hal1 <- hal_sort(api, "docid")
expect_identical(hal1$sort, "docid asc")

## Update query
hal2 <- hal_sort(hal1, "producedDate_tdate", decreasing = TRUE)
expect_identical(hal2$sort, "producedDate_tdate desc")
